<?php
	include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
	/*Inicia validacion del lado del servidor*/
	
	if (empty($_POST['nombre'])) {
           $errors[] = "Nombre vacío";
        } else if (!empty($_POST['nombre'])){
		/* Connect To Database*/
		require_once ("../config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
		require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos
		// escaping, additionally removing everything that could be (html/javascript-) code
		
                       	
                $cedula_titular=mysqli_real_escape_string($con,(strip_tags($_POST["cedula_titular"],ENT_QUOTES)));
		$nombre=mysqli_real_escape_string($con,(strip_tags($_POST["nombre"],ENT_QUOTES)));
		$cedula_beneficiario=mysqli_real_escape_string($con,(strip_tags($_POST["cedula_beneficiario"],ENT_QUOTES)));
		$nombre_beneficiario=mysqli_real_escape_string($con,(strip_tags($_POST["nombre_beneficiario"],ENT_QUOTES)));
		$telefono=mysqli_real_escape_string($con,(strip_tags($_POST["telefono"],ENT_QUOTES)));
		$edad=mysqli_real_escape_string($con,(strip_tags($_POST["edad"],ENT_QUOTES)));
		$direccion=mysqli_real_escape_string($con,(strip_tags($_POST["direccion"],ENT_QUOTES)));
		$email=mysqli_real_escape_string($con,(strip_tags($_POST["email"],ENT_QUOTES)));
		$tipo_paciente=mysqli_real_escape_string($con,(strip_tags($_POST["tipo_paciente"],ENT_QUOTES)));
		$aseguradoras=mysqli_real_escape_string($con,(strip_tags($_POST["aseguradoras"],ENT_QUOTES)));
		$alergico=intval($_POST['alergico']);
		$especifique=mysqli_real_escape_string($con,(strip_tags($_POST["especifique"],ENT_QUOTES)));
                $ImagenesSubidas[$i]=mysqli_real_escape_string($con,(strip_tags($_POST["<img  height='120px'  src='$rutaArchivo' class='file-preview-image'>"],ENT_QUOTES)));
               
                $estado=intval($_POST['estado']);
		$date_added=date("Y-m-d H:i:s");
		
		$sql="INSERT INTO clientes (cedula_titular, nombre_cliente, cedula_beneficiario, nombre_beneficiario, telefono_cliente, edad, email_cliente, direccion_cliente, tipo_paciente, aseguradoras, alergico, especifique, foto, status_cliente, date_added) VALUES ('$cedula_titular','$nombre','$cedula_beneficiario','$nombre_beneficiario','$telefono','$edad','$email','$direccion','$tipo_paciente','$aseguradoras','$alergico','$especifique','$ImagenesSubidas[$i]','$estado','$date_added')";
		$query_new_insert = mysqli_query($con,$sql);
			if ($query_new_insert){
				$messages[] = "Cliente ha sido ingresado satisfactoriamente.";
			} else{
				$errors []= "Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($con);
			}
		} else {
			$errors []= "Error desconocido.";
		}
		
		if (isset($errors)){
			
			?>
			<div class="alert alert-danger" role="alert">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
					<strong>Error!</strong> 
					<?php
						foreach ($errors as $error) {
								echo $error;
							}
						?>
			</div>
			<?php
			}
			if (isset($messages)){
				
				?>
				<div class="alert alert-success" role="alert">
						<button type="button" class="close" data-dismiss="alert">&times;</button>
						<strong>¡Bien hecho!</strong>
						<?php
							foreach ($messages as $message) {
									echo $message;
								}
							?>
				</div>
				<?php
	

}      
       
?>
